Issue 125228 - input fields are no longer considered as cell values
Summary: input fields are no longer considered as cell values
Status: VERIFIED FIXED
Alias: None
Product: Writer
Classification: Application
Component: code (show other issues)
Version: 4.1.0
Hardware: PC Windows 7
: P3 Major (vote)
Target Milestone: 4.1.1
Assignee: Oliver-Rainer Wittmann
QA Contact:
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-07-09 19:50 UTC by Regina Henschel
Modified: 2014-10-26 08:18 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---
jsc: 4.1.1_release_blocker+


Attachments
Can no longer calculate with value from Input Field (13.88 KB, application/vnd.oasis.opendocument.text)
2014-07-09 19:50 UTC, Regina Henschel
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Regina Henschel 2014-07-09 19:50:21 UTC
Created attachment 83664 [details]
Can no longer calculate with value from Input Field

Open attached document in current version 4.1 and open it in version 4.0. Older versions take the value of the input field as cell value and use it in formulas. This feature is lost, now the formula has result zero. That means, that older documents will show wrong calculations when opened in current version. That is a regression.
Comment 1 Oliver-Rainer Wittmann 2014-07-14 09:22:39 UTC
I can confirm the described defect in AOO 4.1.0. It works fine in AOO 4.0.1

I am taking over to have a closer look
Comment 2 Oliver-Rainer Wittmann 2014-07-14 10:09:16 UTC
defect cause found - fix is in progress

If fix is available, it make sense to consider this issue for planned 4.1.1 release.
Comment 3 Oliver Brinzing 2014-07-14 10:39:59 UTC
.
Comment 4 SVN Robot 2014-07-14 14:00:04 UTC
"orw" committed SVN revision 1610411 into trunk:
125228: correct consideration of InputFields in table cells are part of table...
Comment 5 Oliver-Rainer Wittmann 2014-07-14 14:02:17 UTC
fixed on trunk.

fix should be also considered for planned 4.1.1 release
Comment 6 jsc 2014-07-15 14:43:58 UTC
grant showstopper flag, regression and fix available
Comment 7 SVN Robot 2014-07-15 14:59:44 UTC
"orw" committed SVN revision 1610719 into branches/AOO410:
125228: correct consideration of InputFields in table cells are part of table...
Comment 8 Oliver-Rainer Wittmann 2014-07-15 15:04:00 UTC
fixed on branch AOO410 for planned 4.1.1 release
Comment 9 fanyuzhen 2014-07-18 10:09:18 UTC
Current available build AOO 4.1.1 M2(AOO411m2(Build:9771)  -  Rev. 1608452
2014-07-07 15:29:02 (Mon, 07 Jul 2014)) doesn't include the fix, waiting for next build(M3)
Comment 10 Pedro 2014-07-21 21:15:38 UTC
Not fixed in M3. Actually the attached file crashes AOO under Windows 7 SP1 x64
Comment 11 Oliver-Rainer Wittmann 2014-07-22 08:03:40 UTC
I can confirm the crash on developer snapshot M3 of our planned 4.1.1 release.

I will have a closer look.
Comment 12 Oliver-Rainer Wittmann 2014-07-23 07:37:38 UTC
(In reply to Pedro from comment #10)
> Not fixed in M3. Actually the attached file crashes AOO under Windows 7 SP1
> x64

This crash is not related to this issue.
It has been also reported by issue 125299 and is now fixed.
--> status back to RESOLVED/FIXED
Comment 13 Pedro 2014-07-24 10:28:55 UTC
Fixed in current M3 (AOO411m3(Build:9773)  -  Rev. 1612804)
Cell shows the calculated value and modifying the input field produces an updated (and correct) calculated result
Comment 14 Oliver-Rainer Wittmann 2014-07-24 11:41:05 UTC
(In reply to Pedro from comment #13)
> Fixed in current M3 (AOO411m3(Build:9773)  -  Rev. 1612804)
> Cell shows the calculated value and modifying the input field produces an
> updated (and correct) calculated result

Thanks for the fast re-check
--> marking issue as verified
Comment 15 lifeboy 2014-10-25 15:08:44 UTC
(In reply to Pedro from comment #13)
> Fixed in current M3 (AOO411m3(Build:9773)  -  Rev. 1612804)
> Cell shows the calculated value and modifying the input field produces an
> updated (and correct) calculated result

Running Version: 4.2.6.3 Build ID: 420m0(Build:3) on Ubuntu and it's still there...
Comment 16 Marcus 2014-10-26 08:18:33 UTC
@lifeboy:
You have to install the real OpenOffice. ;-)